package com.knauf.ejb.stateless;

import javax.rmi.PortableRemoteObject;
import  javax.naming.InitialContext;

/**
 * @author WKnauf
 *
 * Folgendes auswhlen, um die Schablone fr den erstellten Typenkommentar zu ndern:
 * Fenster&gt;Benutzervorgaben&gt;Java&gt;Codegenerierung&gt;Code und Kommentare
 */
public class GeometricModelApplicationClient
{

  public GeometricModelApplicationClient()
  {
	try
	{
	  //Wir holen uns die Bean und wurschteln damit.
	  InitialContext initialContext = new InitialContext();
	  Object homeref = initialContext.lookup ("java:comp/env/ejb/GeometricModel");

	  GeometricModelHome home = (GeometricModelHome) PortableRemoteObject.narrow(homeref, GeometricModelHome.class);

	  GeometricModel geometricModel = home.create();

	  double dblVolume = geometricModel.computeCuboidVolume( 10, 5, 7);
	  double dblSurface = geometricModel.computeCuboidSurface( 10, 5, 7);

	  System.out.println ("Errechnetes Volumen: " + dblVolume + ", Oberflche: " + dblSurface);
	}
	catch (Exception ex)
	{
	  ex.printStackTrace();
	}
  }
  public static void main(String[] args)
  {
	GeometricModelApplicationClient geometricModelApplicationClient1 = new GeometricModelApplicationClient();
  }
}
